
/* ---------dlg-------- */
.dlg-box {
    display: none;
    position: fixed;
    width: 100%;
    height: 100%;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    z-index: 99;
    background: rgba(0, 0, 0, 0.7);
}
.dlg-box-none {
    background: rgba(0, 0, 0, 0.9);
}
.dlg-bg-none {
    width: 7.50rem;
    height: 100%;
    box-sizing: border-box;
    padding: 0.20rem;
    transform: translate(0%, 0%);
    overflow: scroll;
}
.dlg-bg-none .dlg-content{
    width: 100%;
    height: auto;
    min-height: 100%;
    padding: 1.00rem 0;
}
.dlg-bg {
    width: 7.50rem;
    height: 4.02rem;
    background: url('//game.gtimg.cn/images/kazan/cp/a20251201subscribe/dlg/dlg_l.png') no-repeat center / 100% 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    box-sizing: border-box;
    padding: 0.20rem;
}
.dlg-bg-xl{
    width: 7.50rem;
    height: 4.99rem;
    background: url('//game.gtimg.cn/images/kazan/cp/a20251201subscribe/dlg/dlg_xl.png') no-repeat center / 100% 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    box-sizing: border-box;
    padding: 0.20rem;
}
.dlg-bg-xxl {
    width: 7.50rem;
    height: 5.79rem;
    background: url('//game.gtimg.cn/images/kazan/cp/a20251201subscribe/dlg/dlg_xxl.png') no-repeat center / 100% 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    box-sizing: border-box;
    padding: 0.20rem;
}
.dlg-bg-xxxl,.fx-dialog-mask-wrapper .dialog-content  {
    width: 7.50rem !important;
    height: 7.49rem !important;
    background: url('//game.gtimg.cn/images/kazan/cp/a20251201subscribe/dlg/dlg_xxxl.png') no-repeat center / 100% 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    box-sizing: border-box;
    padding: 0.20rem;
}
.dlg-close,.fx-dialog-mask-wrapper .dialog-content .icon-close{
    width: 0.92rem;
    height: 0.92rem;
    background: url('//game.gtimg.cn/images/kazan/cp/a20251201subscribe/dlg/btn_close.png') no-repeat center / 100% 100%;
    position: absolute;
    z-index: 90;
    right: 0.10rem;
    top: -1.02rem;
    text-indent: -99.99rem;
}
.dlg-close2{
    width: 0.92rem;
    height: 1.35rem;
    background: url('//game.gtimg.cn/images/kazan/cp/a20251201subscribe/dlg/btn_close2.png') no-repeat center / 100% 100%;
    margin-top: 0.20rem;
    text-indent: -99.99rem;
}
.dlg-box .btn-box{
    width: 1.69rem;
    height: 0.54rem;
    background: url('//game.gtimg.cn/images/kazan/cp/a20251201subscribe/dlg/btn_default.png') no-repeat center / 100% 100%;
    font-size: 0.24rem;
    color: #ffffff;
    font-family: SourceHanSerifCN-Bold;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.dlg-title,.dlg-title-none,.fx-dialog-mask-wrapper .dialog-content .dialog-title{
    width: auto;
    line-height: 0.30rem;
    font-size: 0.30rem;
    color: #111111;
    font-family: SourceHanSerifCN-Bold;
    margin-top: 0.30rem;
    display: flex;
    flex-direction: row;
    justify-content: center;
    align-items: center;
}
.dlg-title-none{
    color: #ffffff;
}
.dlg-title:before,.fx-dialog-mask-wrapper .dialog-content .dialog-title:before{
    content: '';
    display: block;
    width: 0.88rem;
    height: 0.29rem;
    background: url('//game.gtimg.cn/images/kazan/cp/a20251201subscribe/dlg/tit_icon_1.png') no-repeat center / 100% 100%;
    margin-right: 0.15rem;
}
.dlg-title:after,.fx-dialog-mask-wrapper .dialog-content .dialog-title:after{
    content: '';
    display: block;
    width: 0.88rem;
    height: 0.29rem;
    background: url('//game.gtimg.cn/images/kazan/cp/a20251201subscribe/dlg/tit_icon_2.png') no-repeat center / 100% 100%;
    margin-left: 0.15rem;
}
.dlg-content {
    width: 100%;
    height: 100%;
    position: relative;
    z-index: 2;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.dlg-content .text-box {
    width: 100%;
    min-height: 0.45rem;
    font-size: 0.22rem;
    text-align: center;
    line-height: 0.36rem;
    color: #4e4f55;
    font-family: SourceHanSerifCN-Bold;
    word-wrap: break-word;
    word-break: break-all;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.text-box .red{
    color: #9d0717;
}
/*登录弹窗*/
.dlg-login .row-box{
    width: 3.50rem;
    height: 2.78rem;
    margin-top: 0.30rem;
}
.dlg-login .btn-qq{
    width: 1.06rem;
    height: 1.78rem;
    background: url(//game.gtimg.cn/images/kazan/cp/a20251201subscribe/dlg/btn_qq.png) no-repeat center / 100% 100%;
}
.dlg-login .btn-wx{
    width: 1.37rem;
    height: 1.78rem;
    background: url(//game.gtimg.cn/images/kazan/cp/a20251201subscribe/dlg/btn_wx.png) no-repeat center / 100% 100%;
}
/* 复制链接弹窗*/
.dlg-box .form-box{
    width: 5.74rem;
    margin-top: 0.40rem;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}
.form-box .input-item{
    width: 5.74rem;
    height: 0.78rem;
    background: url(//game.gtimg.cn/images/kazan/cp/a20251201subscribe/dlg/input_box.png) no-repeat center / 100% 100%;
    /*清除select的边框样式*/
    border: none;
    /*清除select聚焦时候的边框颜色*/
    outline: none;
    /*隐藏select的下拉图标*/
    appearance: none;
    -webkit-appearance: none;
    -moz-appearance: none;
    padding: 0.10rem;
    line-height: 0.58rem;
    color: #dbdbdb;
    font-size: 0.24rem;
    font-family: SourceHanSerifCN-Light;
}
.form-box .agree {
    height: 0.30rem;
    margin-top: 0.36rem;
    justify-content: center;
}
.form-box .radio-item{
}
.form-box .radio-label {
    display: block;
    height: 0.30rem;
    background: url(//game.gtimg.cn/images/kazan/cp/a20251201subscribe/dlg/check_box.png) no-repeat left center / 0.20rem 0.20rem;
    border-radius: 0;
    text-indent: 0.32rem;
    font-size: 0.24rem;
    color: #dbdbdb;
    line-height: 0.30rem;
    font-family: SourceHanSerifCN-Light;
}
input[type="radio"]:checked + .radio-label {
    background-image: url(//game.gtimg.cn/images/kazan/cp/a20251201subscribe/dlg/check_on.png);
}
.form-box .input-item2{
    width: 3.41rem;
    background: url(//game.gtimg.cn/images/kazan/cp/a20251201subscribe/dlg/input_box2.png) no-repeat center / 100% 100%;
}
.dlg-box .btn-copy{
    width: 5.35rem;
    height: 1.31rem;
    background: url(//game.gtimg.cn/images/kazan/cp/a20251201subscribe/dlg/btn_copy.png) no-repeat center / 100% 100%;
    margin-top: 0.30rem;
}
.dlg-copy-link .copy-tips{
    width: 2.88rem;
    height: 0.23rem;
    margin-top: 0.30rem;
}
.dlg-copy-link .code-box{
    width: 2.05rem;
    height: 2.03rem;
    background: url(//game.gtimg.cn/images/kazan/cp/a20251201subscribe/dlg/code_box.png) no-repeat center / 100% 100%;
    margin-top: 0.30rem;
}
.dlg-copy-link .code-box .code, .dlg-copy-link .code-box img,.dlg-copy-link .code-box canvas{
    width: 1.80rem;
    height: 1.80rem;
    object-fit: contain;
    margin: 0.125rem auto;
}

/* 预约绑定弹窗*/
.dlg-box .dlg-logo{
    width: 2.04rem;
    height: 1.79rem;
    background: url(//game.gtimg.cn/images/kazan/cp/a20251201subscribe/dlg/logo.png) no-repeat center / 100% 100%;
    margin-top: 0.30rem;
}
.dlg-bg-none .btn-code{
    width: 2.16rem;
    height: 0.84rem;
    background: url(//game.gtimg.cn/images/kazan/cp/a20251201subscribe/dlg/btn_code.png) no-repeat center / 100% 100%;
}
.dlg-bg-none .btn-bind{
    width: 5.35rem;
    height: 1.31rem;
    background: url(//game.gtimg.cn/images/kazan/cp/a20251201subscribe/dlg/btn_bind.png) no-repeat center / 100% 100%;
    margin-top: 0.30rem;
}
.dlg-bg-none .bind-text{
    width: 5.74rem;
    line-height: 0.30rem;
    text-align: left;
    font-size: 0.24rem;
    color: #857d7e;
    font-family: SourceHanSerifCN-Light;
    margin-top: 0.36rem;
}
.dlg-box .error-msg{
    width: 5.74rem;
    font-size: 0.18rem;
    line-height: 0.18rem;
    text-align: center;
    color: #ff2a2a;
    font-family: SourceHanSerifCN-Light;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
/*邀请好友弹窗*/
.dlg-box .text-tips{
    width: 5.74rem;
    line-height: 0.30rem;
    text-align: center;
    font-size: 0.24rem;
    color: #4e4f55;
    font-family: SourceHanSerifCN-SemiBold;
    margin-top: 0.20rem;
}
.dlg-box .text-tips .red{
    color: #9d0717;
}
/*复制链接弹窗*/
.dlg-box .btn-list{
    width: 4.52rem;
    height: 0.81rem;
    margin-top: 0.25rem;
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;
}

/*活动规则弹窗*/
.dlg-rule .scroll-view {
    width: 6.66rem;
    height: 4.14rem;
    position: relative;
    margin-top: 0.20rem;
}
/* 设置滚动条的样式 */
.scroll-view-show::-webkit-scrollbar {
    width: 0.07rem;
    background: #7c0000;
}
.scroll-view-show::-webkit-scrollbar-track {
    background: #000000;
}
.scroll-view-show::-webkit-scrollbar-thumb {
    background: #7c0000;
}
.scroll-view-show::-webkit-scrollbar-thumb:window-inactive {
    background: #7c0000;
}
.dlg-rule .content-text{
    width: 100%;
    font-size: 0.24rem;
    text-align: left;
    line-height: 0.32rem;
    color: #4e4f55;
    font-family: SourceHanSerifCN-Regular;
}
.dlg-rule .content-text p{
    margin: 0.06rem auto;
}
.dlg-rule .content-text .bold{
    font-weight: bold;
}
.dlg-rule .content-text a{
    color: #267ef0;
}
table,table tr th, table tr td {
    border: 0.01rem solid #4e4f55;
}
table tr th, table tr td {
    padding: 0 0.15rem;
}
 table {
    width: 100%;
    line-height: 0.30rem;
    text-align: left;
    border-collapse: collapse;
}

/*领取记录*/
.dlg-prize-list .operation {
    display: flex;
    justify-content: space-between;
    width: 3.8rem;
    margin: 0.15rem auto 0;
}
.dlg-prize-list .operation .btn-prev,
.dlg-prize-list .operation .btn-next {
    cursor: pointer;
    width: 1.8rem;
    height: 0.50rem;
    line-height: 0.50rem;
    text-align: center;
    color: #111111;
    font-size: 0.24rem;
    border: none;
    text-decoration: underline;
    font-family: SourceHanSerifCN-SemiBold;
}
.dlg-prize-list .operation .disabled {
    filter: grayscale(100%);
}
.dlg-prize-list .reward-list {
    /* border: 1px solid #d7c3a8; */
    width: 4.90rem;
    height: 2.69rem;
    margin-top: 0.40rem;
    font-size: 0.20rem;
    color: #4e4f55;
    text-align: center;
    padding: 0.10rem;
    box-sizing: border-box;
    font-family: SourceHanSerifCN-Regular;
}
.dlg-prize-list .reward-list .table-row {
    display: flex;
    justify-content: space-between;
}
.dlg-prize-list #rewardList,
.dlg-prize-list #friendList {
    height: 3.2rem;
    padding: 0.05rem;
    margin-top: 0.05rem;
    overflow-y: auto;
    overflow-x: hidden;
}
.dlg-prize-list #rewardList {
    height: 2.00rem;
    padding: 0.05rem;
    margin-top: 0.05rem;
}
.dlg-prize-list .reward-item-title {
    display: flex;
    justify-content: space-between;
    height: 0.4rem;
    line-height: 0.4rem;
    font-size: 0.22rem;
    font-weight: bold;
    color: #4e4f55;
    font-family: SourceHanSerifCN-Bold;
}
.dlg-prize-list .reward-item {
    height: 0.5rem;
    line-height: 0.5rem;
    /* border-top: 1px solid #c6ac90; */
    display: flex;
    justify-content: space-between;
    font-family: SourceHanSerifCN-Regular;
}
.dlg-prize-list .reward-item:nth-child(1) {
    border-top: none;
}
.dlg-prize-list .reward-name,
.dlg-prize-list .reward-time {
    width: 50%;
    text-align: center;
}
/*消息弹窗*/
.dlg-message .text-box{
    margin: 0.20rem auto;
}
.dlg-message .scroll-view{
    width: 5.74rem;
    height: auto;
    max-height: 2.40rem;
    position: relative;
    margin: 0.10rem auto 0;
}

/* 右上角分享 */
.dlg-share-tips .share-tips{
    width: 6.63rem;
    height: 1.42rem;
    position: absolute;
    right: 0.8rem;
    top: 1.2rem;
}
.dlg-share-tips .code{
    width: 1.72rem;
    height: 1.72rem;
    object-fit: contain;
}
/* 分享海报图 */
.dlg-share-poster .dlg-content{
    padding: 0;
}
.dlg-share-poster .poster-page{
    width: 7.50rem;
    height: 16.24rem;
}

.dlg-share-poster .share-poster-box{
    width: 7.50rem;
    height: 16.24rem;
    position: absolute;
    z-index: 5;
    overflow: hidden;
}

/*视频弹窗*/
.dlg-video .video-box{
    width: 6.5rem;
    height: 5.4rem;
}
.video-box .video-dom{
    width: 100%;
    height: 100%;
    background-color: rgb(0, 0, 0);
    display: block;
}
.dlg-video .btn-box{
    position: absolute;
    left: 50%;
    margin-left: -1.175rem;
    bottom: 0.50rem;
    z-index: 99999;
}
/*大图展示弹窗*/
.img_fc{position: fixed;left: 0;top: 0;width: 100%;height: 100%;background: rgba(0,0,0,.8);z-index: 99999;}
.img_fc img{
    width: 100%;
    height: 100%;
    object-fit: contain;
}

/*地址绑定弹窗*/
.fx-dialog-mask-wrapper .dialog-content .bind-form{
    margin-top: 0.00rem;
}
.fx-dialog-mask-wrapper .bind-form .form-item{
    width: 5.90rem;
    margin: 0.20rem auto;
    position: relative;
    overflow: visible;
    display: flex;
    flex-direction: row;
    justify-content: flex-start;
    align-items: flex-start;
}
.fx-dialog-mask-wrapper .bind-form .form-item span{
    width: 1.40rem;
    height: 0.64rem;
    line-height: 0.64rem;
    font-size: 0.22rem;
    text-align: left;
    overflow: hidden;
    color: #4e4f55;
    font-family: SourceHanSerifCN-Medium;
    margin-right: 0.12rem;
}
.fx-dialog-mask-wrapper .bind-form .form-item input,.fx-dialog-mask-wrapper .bind-form .form-item .form-select {
    width: 4.28rem;
    height: 0.64rem;
    background: none;
    border: 0.01rem solid #6d6d6d;
    line-height: 0.64rem;
    padding: 0 0.20rem;
    color: #4e4f55;
    font-size: 0.24rem;
    font-family: SourceHanSerifCN-Medium;
}
.fx-dialog-mask-wrapper .bind-form .form-item .form-select{
    width: 1.36rem;
    padding: 0 0.06rem;
    margin-right: 0.10rem;
}
.fx-dialog-mask-wrapper .bind-form .form-item .form-select::-ms-expand {
    display: none; /* 或者设置一个自定义的 background-image */
}

.fx-dialog-mask-wrapper .bind-form .form-item .form-select option{
    color: #4e4f55;
}
.fx-dialog-mask-wrapper .bind-form .form-item textarea {
    width: 4.28rem;
    height: 2.55rem;
    background: none;
    border: 0.01rem solid #6d6d6d;
    line-height: 0.30rem;
    padding: 0 0.20rem;
    color: #4e4f55;
    font-size: 0.24rem;
    font-family: SourceHanSerifCN-Medium;
}

.fx-dialog-mask-wrapper .dialog-content #bindFormAddress{
    width: 1.69rem;
    height: 0.54rem;
    background: url('//game.gtimg.cn/images/kazan/cp/a20251201subscribe/dlg/btn_confirm.png') no-repeat center / 100% 100%;
    margin-top: -0.15rem;
    text-indent: -99.99rem;
    position: relative;
    bottom: unset;
    left: unset;
    transform-origin: unset;
    transform: unset;
    margin: 0.40rem auto;
}
.fx-dialog-mask-wrapper .dialog-content #bindFormAddress:active{
    transform: unset;
}
.fx-dialog-mask-wrapper .bind-form .form-item .err-msg{
    width: 4.28rem;
    font-size: 0.16rem;
    line-height: 0.20rem;
    text-align: center;
    color: #ff2a2a;
    position: absolute;
    top: 0.64rem;
    left: 1.42rem;
    margin-left: 0;
    z-index: 5;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: flex-start;
}
.fx-dialog-mask-wrapper .bind-form .form-item #addressDetailValidateMsg{
    top: 2.58rem;
}